/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/* 
 * File:   StubLtc2600.h
 * Author: claude
 *
 * Created on 20 décembre 2016, 11:25
 */

#ifndef STUBLTC2600_H
#define STUBLTC2600_H

#include <stdio.h>
#include <stdlib.h>
#include <signal.h>
#include <unistd.h>

#include "ILtc2600.h"

class StubLtc2600 : public ILtc2600 {
public:
    StubLtc2600();
    StubLtc2600(const StubLtc2600& orig);
    virtual ~StubLtc2600();
   int powerDownDacReg(dacID_t n) override;
   int powerUpDacReg(dacID_t n) override;
   int updateDacReg(dacID_t n, unsigned short value, bool shouldUpdateAll) override;
   int writeInputReg(dacID_t n, unsigned short value) override;

private:
    union sigval _spiFrame;
    int pid;

    int sendFrame(unsigned int msg);
};

#endif /* STUBLTC2600_H */

